<template>
	<view>
        <view class="clauseCont">
            <rich-text :nodes="clauseData"></rich-text>
        </view>
	</view>
</template>

<script>
    import { userClause } from '@/apis/interfaces/user'
	export default {
		data() {
			return {
				clauseData: []   //服务条款
			};
		},
        onLoad() {
            // 获取服务条款
            this.clauseInfo()
        },
        methods: {
            // 服务条款
            clauseInfo(){
                userClause().then(res => {
                    this.clauseData = res.content.replace(/\<img/gi, '<img style="max-width:100%; height:auto; vertical-align: top;"')
                }).catch(err => {
                    uni.showToast({
                        icon: 'none',
                        title: err.message
                    })
                })
            },
        }
	}
</script>

<style lang="scss">
    page {
        background-color: $uni-bg-color;
    }
    .clauseCont {
        padding: $padding + 10 $padding * 2;
        width: 100%;
        box-sizing: border-box;
    }
</style>